Bug 168723 - Web Inspector: RTL: add FindBanner support for RTL layout
Summary: Web Inspector: RTL: add FindBanner support for RTL layout
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
: 168279 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-02-22 06:36 PST by Brian Burg
Modified: 2017-03-16 10:20 PDT (History)
3 users (show)

See Also:


Attachments
SCREENSHOT - ToT (RTL) (35.02 KB, image/png)
2017-02-22 06:36 PST, Brian Burg
no flags Details
Console Find Banner (LTR) (31.84 KB, image/png)
2017-02-22 06:37 PST, Brian Burg
no flags Details
Console Find Banner (RTL) (32.38 KB, image/png)
2017-02-22 06:37 PST, Brian Burg
no flags Details
Resources Tab Find Banner (LTR) (56.77 KB, image/png)
2017-02-22 06:38 PST, Brian Burg
no flags Details
Resources Tab Find Banner (RTL) (141.83 KB, image/png)
2017-02-22 06:38 PST, Brian Burg
no flags Details
Patch (15.81 KB, patch)
2017-02-22 07:11 PST, Brian Burg
timothy: review+
bburg: commit-queue?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-02-22 06:36:15 PST
Created attachment 302394 [details]
SCREENSHOT - ToT (RTL)

It's messed up.
Comment 1 Brian Burg 2017-02-22 06:37:02 PST
Created attachment 302395 [details]
Console Find Banner (LTR)
Comment 2 Brian Burg 2017-02-22 06:37:27 PST
Created attachment 302396 [details]
Console Find Banner (RTL)
Comment 3 Brian Burg 2017-02-22 06:38:26 PST
Created attachment 302397 [details]
Resources Tab Find Banner (LTR)
Comment 4 Brian Burg 2017-02-22 06:38:45 PST
Created attachment 302398 [details]
Resources Tab Find Banner (RTL)
Comment 5 Brian Burg 2017-02-22 06:41:01 PST
To Test:

- Cmd-F in {console, resource} tab
=> should pop up the find banner with correct layout
=> Clicking on each button should NOT change styling
=> Can enter search text into field
=> Search results label is positioned correctly
=> Border styles look right when window is active or inactive
Comment 6 Brian Burg 2017-02-22 07:11:49 PST
Created attachment 302399 [details]
Patch
Comment 7 Brian Burg 2017-02-22 13:04:33 PST
<rdar://problem/30507071>
Comment 8 Brian Burg 2017-02-22 13:04:44 PST
*** Bug 168279 has been marked as a duplicate of this bug. ***
Comment 9 Devin Rousso 2017-02-23 15:44:07 PST
Comment on attachment 302399 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=302399&action=review

> Source/WebInspectorUI/UserInterface/Views/FindBanner.css:100
> +    --find-banner-search-box-border-radius-end: 0;

I think you could simplify this by just having a single `border-radius: 0;` in this rule and then only setting the ones that are needed with `--find-banner-search-box-border-radius-start`.

> Source/WebInspectorUI/UserInterface/Views/FindBanner.css:265
> +    --console-find-banner-search-box-border-radius-end: 0;

Ditto.
Comment 10 Timothy Hatcher 2017-03-09 09:14:15 PST
Comment on attachment 302399 [details]
Patch

Should the whole content of the bar be right aligned in RTL too?
Comment 11 Brian Burg 2017-03-16 10:20:00 PDT
Committed r214048: <http://trac.webkit.org/changeset/214048>